summaryrefslogtreecommitdiffstats
path: root/system/mathML2dtd/mathML2dtd.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/mathML2dtd/mathML2dtd.SlackBuild')
-rw-r--r--system/mathML2dtd/mathML2dtd.SlackBuild87
1 files changed, 87 insertions, 0 deletions
diff --git a/system/mathML2dtd/mathML2dtd.SlackBuild b/system/mathML2dtd/mathML2dtd.SlackBuild
new file mode 100644
index 0000000000..2f60a7fe57
--- /dev/null
+++ b/system/mathML2dtd/mathML2dtd.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/bash
+
+# mathML2dtd.SlackBuild - SlackBuild script for creating a package of MathML2 DTD
+# Copyright © 2022 Necib ÇAPAR <necipcapar@gmail.com>
+
+# This file is part of mathML2dtd
+
+# mathML2dtd is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# mathML2dtd is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=mathML2dtd
+VERSION=${VERSION:-1.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# create installation directory tree for the original files
+mkdir --parents $PKG/usr/share/xml/schema/w3c
+cp --archive $TMP/$PRGNAM-$VERSION/mathml2 $PKG/usr/share/xml/schema/w3c/
+cp --archive $TMP/$PRGNAM-$VERSION/catalog_mathML2.xml $PKG/usr/share/xml/schema/w3c/mathml2
+cp --archive $TMP/$PRGNAM-$VERSION/catalog_mathML2 $PKG/usr/share/xml/schema/w3c/mathml2
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/douninst.sh > $PKG/install/douninst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE